#!/bin/bash
set -e

# writable dirs 
KEA_RUN_DIR="/run/kea"
KEA_LOCK_DIR="/run/lock/kea"
KEA_STATE_DIR="/var/lib/kea"

# kea early config env vars
KEA_PIDFILE_DIR="/run/kea"
KEA_LOCKFILE_DIR="/run/lock/kea"
KEA_LOGGER_DESTINATION="stdout"

KEA_USER="_kea"
KEA_GOURP="_kea"

if [[ "$1" == "kea-dhcp4" || "$1" == "kea-dhcp-ddns" ]]; then
  rm -R "$KEA_LOCK_DIR"
  rm -R "$KEA_RUN_DIR"

  # create kea writable dirs
  for run_dir in "$KEA_RUN_DIR" "$KEA_LOCK_DIR" "$KEA_STATE_DIR"; do
    mkdir -p "$run_dir"
    chmod 0775 "$run_dir"
    chown "$KEA_USER":"$KEA_GOURP" "$run_dir"
  done

  # kea early config
  export KEA_PIDFILE_DIR
  export KEA_LOCKFILE_DIR
  export KEA_LOGGER_DESTINATION

  exec gosu "$KEA_USER":"$KEA_GOURP" "$@"
fi

exec "$@"